# Awesome Ollama  [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)


a list of tools and frameworks you can use with [Ollama](https://github.com/ollama/ollama)

inspired by [Awesome Python](https://github.com/vinta/awesome-python)

- [Awesome Ollama](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#awesome-ollama)
  - [Web & Desktop UIs](https://github.com/endo9000/Awesome-Ollama?tab=readme-ov-file#web--desktop-uis)
  - [Mobile Apps](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#mobile-apps)
  - [Miscellaneous](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#miscellaneous)
  - [Model Evaluation and Testing Tools](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#model-evaluation-and-testing-tools)
  - [Terminal](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#terminal)
  - [Databases](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#databases)
  - [Package Manager](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#package-manager)
  - [Libraries](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#libraries)
  - [Extensions & Plugins](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#extensions-plugins)

## Web & Desktop UIs

| Name/Link                                                                            | Description                                                                                                                      | Install Type                                                                                                                                                      |
| ------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Open Webui](https://github.com/open-webui/open-webui)                               | Open Source :heavy_check_mark: <br /> Image To text :heavy_check_mark: <br /> Multi Model Chats :heavy_check_mark: <br />        | Docker <br /> npm                                                                                                                                                 |
| [LLM-X](https://github.com/mrdjohnson/llm-x)                                         | Works without installing :heavy_check_mark: <br /> Open Source :heavy_check_mark: <br /> Image To text :heavy_check_mark: <br /> | [Website](https://mrdjohnson.github.io/llm-x/) <br /> npm                                                                                                         |
| [Enchanted](https://github.com/AugustDev/enchanted)                                  | Mac OS native :heavy_check_mark: <br />                                                                                          | Mac OS Native                                                                                                                                                     |
| [BionicGPT](https://github.com/bionic-gpt/bionic-gpt)                                |                                                                                                                                  | Docker <br /> Curl                                                                                                                                                |
| [Ollamac](https://github.com/kevinhermawan/Ollamac)                                  |                                                                                                                                  | Download                                                                                                                                                          |
| [Amica](https://github.com/semperai/amica)                                           |                                                                                                                                  | npm                                                                                                                                                               |
| [chatd](https://github.com/BruceMacD/chatd)                                          |                                                                                                                                  | npm <br /> Download                                                                                                                                               |
| [MindMac](https://mindmac.app/)                                                      |                                                                                                                                  | Download                                                                                                                                                          |
| [LibreChat](https://github.com/danny-avila/LibreChat)                                |                                                                                                                                  | Docker <br /> npm                                                                                                                                                 |
| [HTML UI](https://github.com/ollama-ui/ollama-ui)                                    |                                                                                                                                  | [Website](https://ollama-ui.github.io/ollama-ui/) <br /> [Chrome extension](https://chrome.google.com/webstore/detail/ollama-ui/cmgdpmlhgjhoadnonobjeekmfcehffco) |
| [Saddle](https://github.com/jikkuatwork/saddle)                                      |                                                                                                                                  | local-server                                                                                                                                                      |
| [Chatbot UI](https://github.com/ivanfioravanti/chatbot-ollama)                       |                                                                                                                                  | Docker <br /> npm                                                                                                                                                 |
| [Chatbot UI v2](https://github.com/mckaywrigley/chatbot-ui)                          |                                                                                                                                  | [Website](https://www.chatbotui.com/) <br /> npm                                                                                                                  |
| [Typescript UI](https://github.com/ollama-interface/Ollama-Gui)                      |                                                                                                                                  | [Website](https://ollama.twanluttik.com/) <br /> npm                                                                                                              |
| [Minimalistic React UI for Ollama Models](https://github.com/richawo/minimal-llm-ui) |                                                                                                                                  | npm                                                                                                                                                               |
| [big-AGI](https://github.com/enricoros/big-AGI)                                      |                                                                                                                                  | npm                                                                                                                                                               |
| [Cheshire Cat assistant framework](https://github.com/cheshire-cat-ai/core)          |                                                                                                                                  | Docker                                                                                                                                                            |
| [Ollama-SwiftUI](https://github.com/kghandour/Ollama-SwiftUI)                        |                                                                                                                                  | Download                                                                                                                                                          |
| [Dify.AI](https://github.com/langgenius/dify)                                        |                                                                                                                                  | [Website](https://dify.ai/) <br /> Docker                                                                                                                         |
| [Lollms-Webui](https://github.com/ParisNeo/lollms-webui)                             | Text to image :heavy_check_mark: <br /> Text to video :heavy_check_mark: <br /> Text to music :heavy_check_mark: <br />          | Download                                                                                                                                                          |
| [NextJS Web Interface for Ollama](https://github.com/jakobhoeg/nextjs-ollama-llm-ui) |                                                                                                                                  | npm                                                                                                                                                               |
| [Alpaca WebUI](https://github.com/mmo80/alpaca-webui)                                |                                                                                                                                  | npm                                                                                                                                                               |
| [OllamaGUI](https://github.com/enoch1118/ollamaGUI)                                  |                                                                                                                                  | cocoapods                                                                                                                                                         |
| [Odin Runes](https://github.com/leonid20000/OdinRunes)                               |                                                                                                                                  | maven + java                                                                                                                                                      |
| [Ollama Basic Chat](https://github.com/rapidarchitect/ollama_basic_chat)             |                                                                                                                                  | python                                                                                                                                                            |
| [QA-Pilot: Chat with Code Repository](https://github.com/reid41/QA-Pilot)            |                                                                                                                                  | python <br /> streamlit                                                                                                                                           |
| [ChatOllama](https://github.com/sugarforever/chat-ollama)                            |                                                                                                                                  | npm                                                                                                                                                               |
| [CRAG Ollama Chat](https://github.com/Nagi-ovo/CRAG-Ollama-Chat)                     |                                                                                                                                  | streamlit                                                                                                                                                         |
| [RAGFlow](https://github.com/infiniflow/ragflow)                                     |                                                                                                                                  | [Website](https://ragflow.io/) <br /> docker <br /> local-server                                                                                                  |
| [chat: chat web app for teams](https://github.com/swuecho/chat)                      |                                                                                                                                  |
| [Lobe Chat](https://github.com/lobehub/lobe-chat)                                    |                                                                                                                                  |
| [Ollama RAG Chatbot](https://github.com/datvodinh/rag-chatbot)                       |                                                                                                                                  |
| [Msty](https://msty.app/)                                                            |                                                                                                                                  |
| [Chatbox](https://github.com/Bin-Huang/Chatbox)                                      |                                                                                                                                  |
| [WinForm Ollama Copilot](https://github.com/tgraupmann/WinForm_Ollama_Copilot)       |                                                                                                                                  |
| [Nosia](https://github.com/nosia-ai/nosia)                                           |                                                                                                                                  |

## Mobile Apps

|Name/Link|  Description | Install Type |
|--|--|--|
|  [Enchanted](https://github.com/AugustDev/enchanted) | Native macOS and iOS app :heavy_check_mark: <br /> | iOS :heavy_check_mark: <br /> macOS :heavy_check_mark: 
|  [Maid](https://github.com/Mobile-Artificial-Intelligence/maid) | Open Source :heavy_check_mark: <br /> | Android :heavy_check_mark: <br />

## Miscellaneous

| Name/Link                                                           | Description                                                                                                               | Install Type              |
| ------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- | ------------------------- |
| [AiLama](https://github.com/zeyoyt/ailama)                          | Open Source :heavy_check_mark: <br /> Discord User App :heavy_check_mark: <br /> Multi Function :heavy_check_mark: <br /> | Gradle+Java <br /> Docker |
| [Cloud Seeder](https://github.com/ipv6rslimited/cloudseeder)        | One-click deployment and maintenance suite for Ollama and OpenWebUI with external IP                                      | Multi-platform downloads  |

## Model Evaluation and Testing Tools

| Name/Link                                                           | Description                                                                                                          | Install Type             |
| ------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- | ------------------------ |
| [Ollama Grid Search](https://github.com/dezoito/ollama-grid-search) | Open Source :heavy_check_mark: <br /> Desktop App :heavy_check_mark: <br /> Multi Function :heavy_check_mark: <br /> | Multi-platform downloads |

## Terminal

| Name/Link                                                           | Description                                                                                                               | Install Type              |
| ------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- | ------------------------- |
| [ollamamodelupdater](https://github.com/technovangelist/ollamamodelupdater) | Update ollama models to the latest version in the Library                                                         | Multi-platform downloads  |
| [osync](https://github.com/mann1x/osync/)        | Copy local Ollama models to any accessible remote Ollama instance, C# .NET 8 <br /> Open Source :heavy_check_mark: <br /> Windows :heavy_check_mark: <br /> macOS :heavy_check_mark: <br /> Linux x64/arm64 :heavy_check_mark: | Multi-platform downloads  |
| [ollamarsync](https://github.com/mann1x/ollamarsync/)        | Copy local Ollama models to any accessible remote Ollama instance <br /> Open Source :heavy_check_mark:                          | Multi-platform Python     |
| [shell-ask](https://github.com/egoist/shell-ask)        | Ask LLM directly from your terminal <br /> Open Source :heavy_check_mark:  <br /> Multi Function :heavy_check_mark:                   | Multi-platform downloads  |

## Databases

## Package Manager

## Libraries

## Extensions & Plugins
